Loading...
Searching...
No Matches
Catch::Generators::RandomFloatingGenerator::PImpl Struct Reference
Collaboration diagram for Catch::Generators::RandomFloatingGenerator::PImpl:
[legend]

## Public Member Functions

| PImpl (long double a, long double b, uint32_t seed)

## Public Attributes

Catch::SimplePcg32 | rng
std::uniform_real_distribution< long double > | dist

## Constructor & Destructor Documentation

## PImpl()

Catch::Generators::RandomFloatingGenerator::PImpl::PImpl | ( | long double | a,
|  | long double | b,
|  | uint32_t | seed )

inline

## Member Data Documentation

## dist

std::uniform_real_distribution<long double> Catch::Generators::RandomFloatingGenerator::PImpl::dist

## rng

Catch::SimplePcg32 Catch::Generators::RandomFloatingGenerator::PImpl::rng

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.cpp